Skip to main content
GET
/
v1
/
bill
/
orders
/
{id}
Get order details
curl --request GET \
  --url https://api.sandbox.busha.so/v1/bill/orders/{id} \
  --header 'Authorization: Bearer <token>'
{
  "status": "success",
  "message": "message for success",
  "data": {
    "id": "bus_123456789",
    "reference": "BILL-abc123def456",
    "recipient": "<string>",
    "amount": "1000.00",
    "currency": "NGN",
    "status": "pending",
    "created_at": "2023-10-15T12:15:30Z",
    "updated_at": "2023-10-15T12:15:30Z",
    "source_amount": "1000.00",
    "source_currency": "NGN",
    "provider_amount": "200.00",
    "failure_reason": "<string>",
    "provider_reference": "<string>",
    "meta": {}
  }
}

Authorizations

Authorization
string
header
required

Bearer Authentication

Path Parameters

id
string<nanoid>
required
Example:

"bus_123456789"

Response

200 - application/json

Order retrieved

General response Values

status
enum<string>
required
Available options:
success,
error
Example:

"success"

message
string
required
Example:

"message for success"

data
object